Bug 2024656

Summary: no configuration has been provided, try setting KUBERNETES_MASTER environment variable
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Test FrameworkAssignee: Derek Higgins <derekh>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.10CC: derekh, pmuller, vlaad
Target Milestone: ---   
Target Release: 4.9.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-26 14:50:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2023631    
Bug Blocks: 2024212, 2027262    

Description OpenShift BugZilla Robot 2021-11-18 15:48:52 UTC
+++ This bug was initially created as a clone of Bug #2023631 +++

While running the test
[sig-devex][Feature:Templates] templateinstance security tests  should pass security tests [Suite:openshift/conformance/parallel]

the following error can sometimes be observed

[AfterEach] [sig-devex][Feature:Templates] templateinstance security tests
  github.com/openshift/origin/test/extended/util/client.go:141
STEP: Destroying namespace "e2e-test-templates-vpqzv" for this suite.
fail [github.com/openshift/origin/test/extended/util/client.go:524]: Nov 15 22:41:04.835: invalid configuration: no configuration has been provided, try setting KUBERNETES_MASTER environment variable

failed: (7.3s) 2021-11-15T22:41:07 "[sig-devex][Feature:Templates] templateinstance security tests  should pass security tests [Suite:openshift/conformance/parallel]"

--- Additional comment from derekh on 2021-11-16 08:58:59 UTC ---

This can be reproduced by running the templateinstance test in parallel with the test 
"[sig-cli] oc adm storage-admin [Suite:openshift/conformance/parallel]"

The problem is that this test runs the command
oc new-project <snip/> policy-can-i

This command rewrites the kubeconfig file to change the current/default project,
while rewriting it the config files is zero length for a brief moment,

if another test reads this file while it is zero length then the other test will fail

This appears to be the case of any test that calls CLI.UserConfig() or CLI.AdminConfig()


Also the changing of context of the global kubeconfig could cause any test to fail
that expects it to remain at a specific context during the test.

--- Additional comment from derekh on 2021-11-16 10:34:50 UTC ---

(In reply to Derek Higgins from comment #1)
> Also the changing of context of the global kubeconfig could cause any test
> to fail
> that expects it to remain at a specific context during the test.

Looks like a failure in last nights nightly was caused by this 

from
https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.10-e2e-metal-ipi-ovn-ipv6/1460355406688686080


: [sig-auth][Feature:RoleBindingRestrictions] RoleBindingRestrictions should be functional Rolebinding restrictions tests single project should succeed [Suite:openshift/conformance/parallel] expand_less	2s
fail [github.com/openshift/origin/test/extended/util/client.go:524]: Nov 15 23:22:21.382: invalid configuration: [context was not found for specified context: policy-can-i/api-ostest-test-metalkube-org:6443/storage-adm2, cluster has no server defined]

Comment 1 Petr Muller 2021-11-23 13:51:23 UTC
Reassigning to Test Framework who own the OCP testsuite

Comment 2 Derek Higgins 2021-11-29 09:26:05 UTC
Setting to verified based on observed improvements in 4.10 ci results.